aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios
diff options
context:
space:
mode:
Diffstat (limited to 'test-scenarios')
-rw-r--r--test-scenarios/install_additional_php.sh13
-rw-r--r--test-scenarios/scenarios.json9
2 files changed, 22 insertions, 0 deletions
diff --git a/test-scenarios/install_additional_php.sh b/test-scenarios/install_additional_php.sh
new file mode 100644
index 0000000..590187a
--- /dev/null
+++ b/test-scenarios/install_additional_php.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "php version 8.1.4 installed as default" php --version | grep 8.1.4
+check "php version 8.0.17 installed" ls -l /usr/local/php | grep 8.0.17
+check "php version 8.0.3 installed" ls -l /usr/local/php | grep 8.0.3
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
index c6291e2..887c219 100644
--- a/test-scenarios/scenarios.json
+++ b/test-scenarios/scenarios.json
@@ -1,4 +1,13 @@
{
+ "install_additional_php": {
+ "image": "ubuntu:focal",
+ "features": {
+ "php": {
+ "version": "8.1.4",
+ "additional_versions": "8.0.17,8.0.3"
+ }
+ }
+ },
"install_additional_java": {
"image": "ubuntu:focal",
"features": {